import java.util.Scanner;

public class Distribuindo {
	static Concessionaria[] con;
	static Montadora m;

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		while (sc.hasNext()){
			int iMont = sc.nextInt(); // numero de carros produzidos pela montadora
			
			if (iMont == 0) // se o numero de carros inserido for 0 o programa retorna
				return;
			
			m = new Montadora(iMont); // instancia de montadora que armazenara os carros
			
			// le da entrada o modelo, cor e quantidade dos carros produzidos
			for (int i = 0; i < iMont; i++) { 
				String aux = sc.next();
				char modelo = aux.toCharArray()[0];
				String cor = sc.next();
				int qtd = sc.nextInt();
				m.adCarro(new Pedido(modelo, cor, qtd));
			}
			
			int iCons = sc.nextInt(); // numero de concessionarias
			
			con = new Concessionaria[iCons]; // vetor de concessionarias 
			
			for (int i = 0; i < iCons; i++) {
				int nPCons = sc.nextInt(); // numero de pedidos da concessionaria em questao
				con[i] = new Concessionaria(nPCons);
				for (int j = 0; j < nPCons; j++) {
					String aux = sc.next();
					char modelo = aux.toCharArray()[0];
					String cor = sc.next();
					int qtd = sc.nextInt();
					con[i].addPedido(new Pedido(modelo, cor, qtd));
				}
			}
			if (verificaPedidos())
				System.out.println("Foi possivel atender minimamente aos pedidos");
			else
				System.out.println("Nao foi possivel atender minimamente aos pedidos");
		}
		sc.close();
	}

	static boolean verificaPedidos() {
		boolean pMinimo = true;
		for (Concessionaria c : con) {
			for (Pedido p : c.pedidos) {
				for (Pedido pm : m.producao) {
					if (p.cor.equals(pm.cor) && p.modelo == pm.modelo
							&& p.quantidade <= pm.quantidade) {
						c.atendido = true;
						pm.quantidade -= p.quantidade;
					}
				}
			}
		}
		for (Concessionaria c : con)
			if (c.atendido == false)
				pMinimo = false;
		return pMinimo;
	}
}

class Pedido {
	char modelo;
	String cor;
	int quantidade;

	public Pedido(char modelo, String cor, int qtd) {
		this.modelo = modelo;
		this.cor = cor;
		this.quantidade = qtd;
	}
}

class Concessionaria {
	boolean atendido;
	Pedido[] pedidos;
	int nPedidos;

	public Concessionaria(int qtd) {
		this.pedidos = new Pedido[qtd];
		nPedidos = 0;
		atendido = false;
	}

	void addPedido(Pedido p) {
		this.pedidos[nPedidos] = p;
		nPedidos++;
	}
}

class Montadora {
	Pedido[] producao;
	int iDisp;

	public Montadora(int iMont) {
		producao = new Pedido[iMont];
		iDisp = 0;
	}

	void adCarro(Pedido carro) {
		this.producao[iDisp] = carro;
		iDisp++;
	}
}